CREATE TABLE service.road_graph_filter (
    id serial PRIMARY KEY,
    name text NOT NULL UNIQUE,
    fcs integer[] NOT NULL
);

CREATE TABLE service.exclusion_region (
    id bigserial PRIMARY KEY,
    road_graph_filter_id integer NOT NULL
        REFERENCES service.road_graph_filter(id) ON DELETE CASCADE,
    geom geometry(Polygon, 3395) NOT NULL
);

CREATE INDEX ON service.exclusion_region USING gist(geom);
